function varargout = beam1_2_export(varargin)
% MATLAB Courseware for Machine Design by Shih-Liang (Sid) Wang
% Software Copyright 2004 by The McGraw-Hill Companies, Inc.  All rights reserved.
%
% BEAM1_2_EXPORT M-file for beam1_2_export.fig
%      BEAM1_2_EXPORT, by itself, creates a new BEAM1_2_EXPORT or raises the existing
%      singleton*.
%
%      H = BEAM1_2_EXPORT returns the handle to a new BEAM1_2_EXPORT or the handle to
%      the existing singleton*.
%
%      BEAM1_2_EXPORT('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in BEAM1_2_EXPORT.M with the given input arguments.
%
%      BEAM1_2_EXPORT('Property','Value',...) creates a new BEAM1_2_EXPORT or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before beam1_2_export_OpeningFunction gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to beam1_2_export_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help beam1_2_export

% Last Modified by GUIDE v2.5 17-Apr-2003 11:56:06

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @beam1_2_export_OpeningFcn, ...
                   'gui_OutputFcn',  @beam1_2_export_OutputFcn, ...
                   'gui_LayoutFcn',  @beam1_2_export_LayoutFcn, ...
                   'gui_Callback',   []);
if nargin & isstr(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before beam1_2_export is made visible.
function beam1_2_export_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to beam1_2_export (see VARARGIN)

% Choose default command line output for beam1_2_export
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes beam1_2_export wait for user response (see UIRESUME)
% uiwait(handles.figure1);
if strcmp(get(hObject,'Visible'),'off')
    subplot(4,1,1); 
    plot([0,6],[0,0],'k', [-0.15,0.15],[-0.75,0.75],'k',[-0.15,0.15],[0.75,-0.75],'k',[5.85,6.15],[-0.75,0.75],'k',...
        [5.85,6.15],[0.75,-0.75],'k',[2,2],[2,0],'b',[4,4],[3,0],'b',[1.85 2 2.15],[0.75 0 0.75],'b',...
        [3.85 4 4.15],[0.75 0 0.75],'b','LineWidth',2)
    text(2,2,'F1','HorizontalAlignment','right','VerticalAlignment','middle')
    text(4,2.5,'F2','HorizontalAlignment','right','VerticalAlignment','middle')
    text(3.5,0,'L','HorizontalAlignment','center','VerticalAlignment','top')
    text(1,0,'a','HorizontalAlignment','center','VerticalAlignment','bottom')
    text(3,0,'b','HorizontalAlignment','center','VerticalAlignment','bottom')
    axis  ([-2 8 -0.5 5.5]);
    axis off
end


% --- Outputs from this function are returned to the command line.
function varargout = beam1_2_export_OutputFcn(hObject, eventdata, handles)
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes during object creation, after setting all properties.
function edit_F1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_F1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_F1_Callback(hObject, eventdata, handles)
% hObject    handle to edit_F1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_F1 as text
%        str2double(get(hObject,'String')) returns contents of edit_F1 as a double



% --- Executes on button press in pushbutton_plot.
function pushbutton_plot_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_plot (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% beam1_2_export.m
F(1)= str2double(get(handles.edit_F1, 'String'));
F(2)= str2double(get(handles.edit_F2, 'String'));
D(1)= str2double(get(handles.edit_L, 'String'));
D(2)= str2double(get(handles.edit_a, 'String'));
D(3)= str2double(get(handles.edit_b, 'String'));

    D(3)=D(3)+D(2);

    M=[];
    X=[];
    %---------------------------
    %solve for the reaction force
    r1=(F(1)*(D(1)-D(2))+F(2)*(D(1)-D(3)))/D(1);    %D(1)=L;D(2)=a;D(3)=b;
    r2=(F(1)*D(2)+F(2)*D(3))/D(1);
    %solve for the bending moment
    x=0:0.01:D(2);
    m=r1*x;
    M=[M,m]; X=[X,x]; %the 1st segment
    x=D(2):0.01:D(3);
    m=(r1-F(1))*x+F(1)*D(2);
    M=[M,m]; X=[X,x];   %the 2nd segment
    x=D(3):0.01:D(1);
    m=r2*(D(1)-x);  %the 3rd segment
    M=[M,m]; X=[X,x];
    
    %plot

    subplot(4,1,1); 
    plot([0,6],[0,0],'k', [-0.15,0.15],[-0.75,0.75],'k',[-0.15,0.15],[0.75,-0.75],'k',[5.85,6.15],[-0.75,0.75],'k',...
        [5.85,6.15],[0.75,-0.75],'k',[2,2],[2,0],'b',[4,4],[3,0],'b',[1.85 2 2.15],[0.75 0 0.75],'b',...
        [3.85 4 4.15],[0.75 0 0.75],'b','LineWidth',2)
    text(2,2,'F1','HorizontalAlignment','right','VerticalAlignment','middle')
    text(4,2.5,'F2','HorizontalAlignment','right','VerticalAlignment','middle')
    text(3.5,0,'L','HorizontalAlignment','center','VerticalAlignment','top')
    text(1,0,'a','HorizontalAlignment','center','VerticalAlignment','bottom')
    text(3,0,'b','HorizontalAlignment','center','VerticalAlignment','bottom')
    axis  ([-2 8 -0.5 5.5]);
    axis off
    subplot(4,1,2); 
    plot([D(2),D(2)],[F(1),0],'b', [D(3),D(3)],[F(2),0],'b', [0,D(1)],[0,0],'-.g','LineWidth',2) %plot applied and reaction forces
    hold on;
    plot([0,0],[-r1,0],'r', [D(1),D(1)],[-r2,0],'r', [0,D(1)],[0,0],'-.g','LineWidth',2); 
    hold off;
    maxF=max(abs(F(1)),abs(F(2))); 
    maxR=max(abs(r1),abs(r2));
     axis ([0-.02*D(1) 1.02*D(1)  -max(maxF,maxR), max(maxF,maxR)]);
    ylabel('loads & reactions')
    subplot(4,1,3); 
    plot([0,0,D(2)],[0,r1,r1],'m', [D(2),D(2)],[r1,r1-F(1)],'m', [D(2),D(3)],[r1-F(1),r1-F(1)],'m', ...
        [D(3),D(3)],[-r2+F(2),-r2],'m',[D(3),D(1),D(1)],[-r2,-r2,0],'m',[0,D(1)],[0,0],'-.g','LineWidth',2)%plot shearing force
    axis ([0-.02*D(1) 1.02*D(1) -1.2*max(max(abs(r1),abs(r2)),abs(r1-F(1))) 1.2*max(max(abs(r1),abs(r2)),abs(r1-F(1)))]);
    ylabel('shearing F')
    subplot(4,1,4); 
    plot (X,M,'m',[0,D(1)],[0,0],'-.g','LineWidth',2)%plot bending moment
    axis ([0-.02*D(1) 1.02*D(1) min(M)-.1*min(M) max(M)*1.1]);
    ylabel('bending M')


set(handles.edit_R1, 'String', r1);
set(handles.edit_R2, 'String', r2);
set(handles.edit_V1, 'String', r1);
set(handles.edit_V2, 'String', r1-F(1));
set(handles.edit_V3, 'String', -r2);
set(handles.edit_max_m, 'String', max(abs(M)));

% --- Executes during object creation, after setting all properties.
function edit_F2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_F2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_F2_Callback(hObject, eventdata, handles)
% hObject    handle to edit_F2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_F2 as text
%        str2double(get(hObject,'String')) returns contents of edit_F2 as a double


% --- Executes during object creation, after setting all properties.
function edit_L_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_L (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_L_Callback(hObject, eventdata, handles)
% hObject    handle to edit_L (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_L as text
%        str2double(get(hObject,'String')) returns contents of edit_L as a double


% --- Executes during object creation, after setting all properties.
function edit_a_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_a (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_a_Callback(hObject, eventdata, handles)
% hObject    handle to edit_a (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_a as text
%        str2double(get(hObject,'String')) returns contents of edit_a as a double


% --- Executes during object creation, after setting all properties.
function edit_b_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_b (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_b_Callback(hObject, eventdata, handles)
% hObject    handle to edit_b (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_b as text
%        str2double(get(hObject,'String')) returns contents of edit_b as a double


% --- Executes during object creation, after setting all properties.
function edit_max_m_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_max_m (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_max_m_Callback(hObject, eventdata, handles)
% hObject    handle to edit_max_m (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_max_m as text
%        str2double(get(hObject,'String')) returns contents of edit_max_m as a double


% --- Executes during object creation, after setting all properties.
function edit_R1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_R1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_R1_Callback(hObject, eventdata, handles)
% hObject    handle to edit_R1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_R1 as text
%        str2double(get(hObject,'String')) returns contents of edit_R1 as a double


% --- Executes during object creation, after setting all properties.
function edit_R2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_R2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_R2_Callback(hObject, eventdata, handles)
% hObject    handle to edit_R2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_R2 as text
%        str2double(get(hObject,'String')) returns contents of edit_R2 as a double


% --- Executes during object creation, after setting all properties.
function edit_V1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_V1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_V1_Callback(hObject, eventdata, handles)
% hObject    handle to edit_V1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_V1 as text
%        str2double(get(hObject,'String')) returns contents of edit_V1 as a double


% --- Executes during object creation, after setting all properties.
function edit_V2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_V2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_V2_Callback(hObject, eventdata, handles)
% hObject    handle to edit_V2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_V2 as text
%        str2double(get(hObject,'String')) returns contents of edit_V2 as a double


% --- Executes during object creation, after setting all properties.
function edit_V3_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_V3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_V3_Callback(hObject, eventdata, handles)
% hObject    handle to edit_V3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_V3 as text
%        str2double(get(hObject,'String')) returns contents of edit_V3 as a double


% --------------------------------------------------------------------
function file_menu_Callback(hObject, eventdata, handles)
% hObject    handle to file_menu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)



% --------------------------------------------------------------------
function print_submenu_Callback(hObject, eventdata, handles)
% hObject    handle to print_submenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

printdlg(handles.figure1)

% --------------------------------------------------------------------
function exit_submenu_Callback(hObject, eventdata, handles)
% hObject    handle to exit_submenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

delete(handles.figure1)


% --------------------------------------------------------------------
function help_menu_Callback(hObject, eventdata, handles)
% hObject    handle to help_menu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --------------------------------------------------------------------
function overview_submenu_Callback(hObject, eventdata, handles)
% hObject    handle to overview_submenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
open beam1.htm


% --------------------------------------------------------------------
function about_submenu_Callback(hObject, eventdata, handles)
% hObject    handle to about_submenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

scrsz = get(0,'ScreenSize');
figure('name','About MATLAB for Machine Design','menubar', 'none','NumberTitle','off' ,'Position',[.6*scrsz(3)  .6*scrsz(4) scrsz(3)/4 scrsz(4)/4])
%scrsz(3) is the width; scrsz(4)is the height; the window is positioned at
%upper right corner.
axis off;
text(.46, .95,' \bf  MATLAB Courseware ','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .83,' \bf for ','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .71,' \bf  Machine Design','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .55,'  Release 1.0','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .43,' March 10, 2003','HorizontalAlignment','center','VerticalAlignment','bottom')
text(0.46, .25,'  Software copyright \copyright 2004 ','HorizontalAlignment','center','VerticalAlignment','bottom')
text(0.46, .11,' by Shih-Liang (Sid) Wang','HorizontalAlignment','center','VerticalAlignment','bottom')
text(0.46, -.09,' All rights reserved.','HorizontalAlignment','center','VerticalAlignment','bottom')



% --- Creates and returns a handle to the GUI figure. 
function h1 = beam1_2_export_LayoutFcn(policy)
% policy - create a new figure or use a singleton. 'new' or 'reuse'.

persistent hsingleton;
if strcmpi(policy, 'reuse') & ishandle(hsingleton)
    h1 = hsingleton;
    return;
end

h1 = figure(...
'Units','characters',...
'Color',[0.925490196078431 0.913725490196078 0.847058823529412],...
'Colormap',[0 0 0.5625;0 0 0.625;0 0 0.6875;0 0 0.75;0 0 0.8125;0 0 0.875;0 0 0.9375;0 0 1;0 0.0625 1;0 0.125 1;0 0.1875 1;0 0.25 1;0 0.3125 1;0 0.375 1;0 0.4375 1;0 0.5 1;0 0.5625 1;0 0.625 1;0 0.6875 1;0 0.75 1;0 0.8125 1;0 0.875 1;0 0.9375 1;0 1 1;0.0625 1 1;0.125 1 0.9375;0.1875 1 0.875;0.25 1 0.8125;0.3125 1 0.75;0.375 1 0.6875;0.4375 1 0.625;0.5 1 0.5625;0.5625 1 0.5;0.625 1 0.4375;0.6875 1 0.375;0.75 1 0.3125;0.8125 1 0.25;0.875 1 0.1875;0.9375 1 0.125;1 1 0.0625;1 1 0;1 0.9375 0;1 0.875 0;1 0.8125 0;1 0.75 0;1 0.6875 0;1 0.625 0;1 0.5625 0;1 0.5 0;1 0.4375 0;1 0.375 0;1 0.3125 0;1 0.25 0;1 0.1875 0;1 0.125 0;1 0.0625 0;1 0 0;0.9375 0 0;0.875 0 0;0.8125 0 0;0.75 0 0;0.6875 0 0;0.625 0 0;0.5625 0 0],...
'IntegerHandle','off',...
'InvertHardcopy',get(0,'defaultfigureInvertHardcopy'),...
'MenuBar','none',...
'Name','beam1_2',...
'NumberTitle','off',...
'PaperPosition',get(0,'defaultfigurePaperPosition'),...
'Position',[80 10 112 32.3076923076923],...
'Renderer',get(0,'defaultfigureRenderer'),...
'RendererMode','manual',...
'Resize','off',...
'HandleVisibility','callback',...
'Tag','figure1',...
'UserData',zeros(1,0));

setappdata(h1, 'GUIDEOptions', struct(...
'active_h', 1.760046e+002, ...
'taginfo', struct(...
'figure', 2, ...
'text', 20, ...
'axes', 2, ...
'edit', 14, ...
'pushbutton', 3, ...
'frame', 6), ...
'override', 0, ...
'release', 13, ...
'resize', 'none', ...
'accessibility', 'callback', ...
'mfile', 1, ...
'callbacks', 1, ...
'singleton', 1, ...
'syscolorfig', 1, ...
'lastSavedFile', 'C:\matlab_r13\design\shigley\matlab_supplements_source\beam1_2.m'));


h2 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ForegroundColor',[0 0.501960784313725 0],...
'ListboxTop',0,...
'Position',[95.4 27.923 15.6 4.15384615384615],...
'String',{ '' },...
'Style','frame',...
'Tag','frame5');


h3 = axes(...
'Parent',h1,...
'Units','characters',...
'CameraPosition',[0.5 0.5 9.16025403784439],...
'CameraPositionMode',get(0,'defaultaxesCameraPositionMode'),...
'Color',get(0,'defaultaxesColor'),...
'ColorOrder',get(0,'defaultaxesColorOrder'),...
'Position',[9.8 3.76923076923077 92.8 23.2307692307692],...
'XColor',get(0,'defaultaxesXColor'),...
'YColor',get(0,'defaultaxesYColor'),...
'ZColor',get(0,'defaultaxesZColor'),...
'Tag','axes1');


h4 = get(h3,'title');

set(h4,...
'Parent',h3,...
'Color',[0 0 0],...
'HorizontalAlignment','center',...
'Position',[0.498922413793103 1.02152317880795 1.00005459937205],...
'VerticalAlignment','bottom',...
'HandleVisibility','off');

h5 = get(h3,'xlabel');

set(h5,...
'Parent',h3,...
'Color',[0 0 0],...
'HorizontalAlignment','center',...
'Position',[0.498922413793103 -0.0778145695364239 1.00005459937205],...
'VerticalAlignment','cap',...
'HandleVisibility','off');

h6 = get(h3,'ylabel');

set(h6,...
'Parent',h3,...
'Color',[0 0 0],...
'HorizontalAlignment','center',...
'Position',[-0.0614224137931035 0.495033112582781 1.00005459937205],...
'Rotation',90,...
'VerticalAlignment','bottom',...
'HandleVisibility','off');

h7 = get(h3,'zlabel');

set(h7,...
'Parent',h3,...
'Color',[0 0 0],...
'HorizontalAlignment','right',...
'Position',[-0.106681034482759 1.22350993377483 1.00005459937205],...
'HandleVisibility','off',...
'Visible','off');

h8 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[0.6 27.9230769230769 17 4.15384615384615],...
'String',{ '' },...
'Style','frame',...
'Tag','frame1');


h9 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','beam1_2_export(''edit_F1_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[1.2 28.3076923076923 7.4 1.23076923076923],...
'String','680',...
'Style','edit',...
'CreateFcn','beam1_2_export(''edit_F1_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_F1');


h10 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[3.4 29.6923076923077 3.8 1.15384615384615],...
'String','F1',...
'Style','text',...
'Tag','text2');


h11 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'Callback','beam1_2_export(''pushbutton_plot_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[43.2 28.6153846153846 6.8 2.30769230769231],...
'String','Plot',...
'Tag','pushbutton_plot');


h12 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','beam1_2_export(''edit_F2_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[9.2 28.3076923076923 7.4 1.23076923076923],...
'String','-501.4',...
'Style','edit',...
'CreateFcn','beam1_2_export(''edit_F2_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_F2');


h13 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[10.2 29.7692307692308 3.8 1.15384615384615],...
'String','F2',...
'Style','text',...
'Tag','text5');


h14 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[5.2 30.7692307692308 6.4 1.15384615384615],...
'String','Force',...
'Style','text',...
'Tag','text6');


h15 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[18.6 27.923 24 4.154],...
'String',{ '' },...
'Style','frame',...
'Tag','frame2');


h16 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','beam1_2_export(''edit_L_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[19 28.3076923076923 7.4 1.23076923076923],...
'String','48',...
'Style','edit',...
'CreateFcn','beam1_2_export(''edit_L_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_L');


h17 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[23.2 29.6923076923077 3.8 1.15384615384615],...
'String','L',...
'Style','text',...
'Tag','text7');


h18 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','beam1_2_export(''edit_a_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[26.8 28.3076923076923 7.4 1.23076923076923],...
'String','12',...
'Style','edit',...
'CreateFcn','beam1_2_export(''edit_a_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_a');


h19 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[29.4 29.6923076923077 3.8 1.15384615384615],...
'String','a',...
'Style','text',...
'Tag','text8');


h20 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[22.2 30.6153846153846 17.8 1.23076923076923],...
'String','Length/Distance',...
'Style','text',...
'Tag','text9');


h21 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','beam1_2_export(''edit_b_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[34.6 28.3076923076923 7.4 1.23076923076923],...
'String','21',...
'Style','edit',...
'CreateFcn','beam1_2_export(''edit_b_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_b');


h22 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[35.2 29.6923076923077 3.8 1.15384615384615],...
'String','b',...
'Style','text',...
'Tag','text10');


h23 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','beam1_2_export(''edit_max_m_Callback'',gcbo,[],guidata(gcbo))',...
'FontWeight','bold',...
'ForegroundColor',[0 0.501960784313725 0.501960784313725],...
'ListboxTop',0,...
'Position',[99.2 28.3076923076923 8.5 1.23076923076923],...
'String','',...
'Style','edit',...
'CreateFcn','beam1_2_export(''edit_max_m_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_max_m');


h24 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[95.6 29.6923076923077 15 1.38461538461538],...
'String','Max. Moment',...
'Style','text',...
'Tag','text11');


h25 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ForegroundColor',[0 0.501960784313725 0.250980392156863],...
'ListboxTop',0,...
'Position',[51.2 27.9230769230769 17.4 4.15384615384615],...
'String',{ '' },...
'Style','frame',...
'Tag','frame3');


h26 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','beam1_2_export(''edit_R1_Callback'',gcbo,[],guidata(gcbo))',...
'FontWeight','bold',...
'ForegroundColor',[0 0.501960784313725 0.501960784313725],...
'ListboxTop',0,...
'Position',[51.8 28.3076923076923 7.4 1.23076923076923],...
'String','',...
'Style','edit',...
'CreateFcn','beam1_2_export(''edit_R1_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_R1');


h27 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[53.2 29.6923076923077 3.8 1.15384615384615],...
'String','R1',...
'Style','text',...
'Tag','text12');


h28 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','beam1_2_export(''edit_R2_Callback'',gcbo,[],guidata(gcbo))',...
'FontWeight','bold',...
'ForegroundColor',[0 0.501960784313725 0.501960784313725],...
'ListboxTop',0,...
'Position',[60 28.3076923076923 7.4 1.23076923076923],...
'String','',...
'Style','edit',...
'CreateFcn','beam1_2_export(''edit_R2_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_R2');


h29 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[63.2 29.7692307692308 3.8 1.15384615384615],...
'String','R2',...
'Style','text',...
'Tag','text13');


h30 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[52.6 30.8461538461538 15.6 1.15384615384615],...
'String','Reaction Force',...
'Style','text',...
'Tag','text14');


h31 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ForegroundColor',[0 0.501960784313725 0],...
'ListboxTop',0,...
'Position',[69.4 27.9230769230769 25 4.15384615384615],...
'String',{ '' },...
'Style','frame',...
'Tag','frame4');


h32 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','beam1_2_export(''edit_V1_Callback'',gcbo,[],guidata(gcbo))',...
'FontWeight','bold',...
'ForegroundColor',[0 0.501960784313725 0.501960784313725],...
'ListboxTop',0,...
'Position',[70.4 28.3076923076923 7.4 1.23076923076923],...
'String','',...
'Style','edit',...
'CreateFcn','beam1_2_export(''edit_V1_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_V1');


h33 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[72.6 29.6923076923077 3.8 1.15384615384615],...
'String','V1',...
'Style','text',...
'Tag','text15');


h34 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','beam1_2_export(''edit_V2_Callback'',gcbo,[],guidata(gcbo))',...
'FontWeight','bold',...
'ForegroundColor',[0 0.501960784313725 0.501960784313725],...
'ListboxTop',0,...
'Position',[78.2 28.3076923076923 7.4 1.23076923076923],...
'String','',...
'Style','edit',...
'CreateFcn','beam1_2_export(''edit_V2_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_V2');


h35 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[80 29.7692307692308 3.8 1.15384615384615],...
'String','V2',...
'Style','text',...
'Tag','text16');


h36 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[74.4 30.7692307692308 15.6 1.15384615384615],...
'String','Shear Force',...
'Style','text',...
'Tag','text17');


h37 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','beam1_2_export(''edit_V3_Callback'',gcbo,[],guidata(gcbo))',...
'FontWeight','bold',...
'ForegroundColor',[0 0.501960784313725 0.501960784313725],...
'ListboxTop',0,...
'Position',[86.2 28.3076923076923 7.4 1.23076923076923],...
'String','',...
'Style','edit',...
'CreateFcn','beam1_2_export(''edit_V3_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_V3');


h38 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[87.4 29.7692307692308 3.8 1.15384615384615],...
'String','V3',...
'Style','text',...
'Tag','text18');


h39 = uimenu(...
'Parent',h1,...
'Callback','beam1_2_export(''file_menu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','File',...
'Tag','file_menu');

h40 = uimenu(...
'Parent',h39,...
'Callback','beam1_2_export(''print_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Print',...
'Tag','print_submenu');

h41 = uimenu(...
'Parent',h39,...
'Callback','beam1_2_export(''exit_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Exit',...
'Tag','exit_submenu');

h42 = uimenu(...
'Parent',h1,...
'Callback','beam1_2_export(''help_menu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Help',...
'Tag','help_menu');

h43 = uimenu(...
'Parent',h42,...
'Callback','beam1_2_export(''overview_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Overview',...
'Tag','overview_submenu');

h44 = uimenu(...
'Parent',h42,...
'Callback','beam1_2_export(''about_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','About . . .',...
'Tag','about_submenu');

h45 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'FontWeight','bold',...
'ListboxTop',0,...
'Position',[15 0.692307692307692 92 1.07692307692308],...
'String','Software copyright  2004 by The McGraw-Hill Companies, Inc. All rights reserved. ',...
'Style','text',...
'Tag','text19');



hsingleton = h1;


% --- Handles default GUIDE GUI creation and callback dispatch
function varargout = gui_mainfcn(gui_State, varargin)


%   GUI_MAINFCN provides these command line APIs for dealing with GUIs
%
%      BEAM1_2_EXPORT, by itself, creates a new BEAM1_2_EXPORT or raises the existing
%      singleton*.
%
%      H = BEAM1_2_EXPORT returns the handle to a new BEAM1_2_EXPORT or the handle to
%      the existing singleton*.
%
%      BEAM1_2_EXPORT('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in BEAM1_2_EXPORT.M with the given input arguments.
%
%      BEAM1_2_EXPORT('Property','Value',...) creates a new BEAM1_2_EXPORT or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before untitled_OpeningFunction gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to untitled_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".

%   Copyright 1984-2002 The MathWorks, Inc.
%   $Revision: 1.4 $ $Date: 2002/05/31 21:44:31 $

gui_StateFields =  {'gui_Name'
                    'gui_Singleton'
                    'gui_OpeningFcn'
                    'gui_OutputFcn'
                    'gui_LayoutFcn'
                    'gui_Callback'};
gui_Mfile = '';
for i=1:length(gui_StateFields)
    if ~isfield(gui_State, gui_StateFields{i})
        error('Could not find field %s in the gui_State struct in GUI M-file %s', gui_StateFields{i}, gui_Mfile);        
    elseif isequal(gui_StateFields{i}, 'gui_Name')
        gui_Mfile = [getfield(gui_State, gui_StateFields{i}), '.m'];
    end
end

numargin = length(varargin);

if numargin == 0
    % BEAM1_2_EXPORT
    % create the GUI
    gui_Create = 1;
elseif numargin > 3 & ischar(varargin{1}) & ishandle(varargin{2})
    % BEAM1_2_EXPORT('CALLBACK',hObject,eventData,handles,...)
    gui_Create = 0;
else
    % BEAM1_2_EXPORT(...)
    % create the GUI and hand varargin to the openingfcn
    gui_Create = 1;
end

if gui_Create == 0
    varargin{1} = gui_State.gui_Callback;
    if nargout
        [varargout{1:nargout}] = feval(varargin{:});
    else
        feval(varargin{:});
    end
else
    if gui_State.gui_Singleton
        gui_SingletonOpt = 'reuse';
    else
        gui_SingletonOpt = 'new';
    end
    
    % Open fig file with stored settings.  Note: This executes all component
    % specific CreateFunctions with an empty HANDLES structure.
    
    % Do feval on layout code in m-file if it exists
    if ~isempty(gui_State.gui_LayoutFcn)
        gui_hFigure = feval(gui_State.gui_LayoutFcn, gui_SingletonOpt);
    else
        gui_hFigure = local_openfig(gui_State.gui_Name, gui_SingletonOpt);            
        % If the figure has InGUIInitialization it was not completely created
        % on the last pass.  Delete this handle and try again.
        if isappdata(gui_hFigure, 'InGUIInitialization')
            delete(gui_hFigure);
            gui_hFigure = local_openfig(gui_State.gui_Name, gui_SingletonOpt);            
        end
    end
    
    % Set flag to indicate starting GUI initialization
    setappdata(gui_hFigure,'InGUIInitialization',1);

    % Fetch GUIDE Application options
    gui_Options = getappdata(gui_hFigure,'GUIDEOptions');
    
    if ~isappdata(gui_hFigure,'GUIOnScreen')
        % Adjust background color
        if gui_Options.syscolorfig 
            set(gui_hFigure,'Color', get(0,'DefaultUicontrolBackgroundColor'));
        end

        % Generate HANDLES structure and store with GUIDATA
        guidata(gui_hFigure, guihandles(gui_hFigure));
    end
    
    % If user specified 'Visible','off' in p/v pairs, don't make the figure
    % visible.
    gui_MakeVisible = 1;
    for ind=1:2:length(varargin)
        if length(varargin) == ind
            break;
        end
        len1 = min(length('visible'),length(varargin{ind}));
        len2 = min(length('off'),length(varargin{ind+1}));
        if ischar(varargin{ind}) & ischar(varargin{ind+1}) & ...
                strncmpi(varargin{ind},'visible',len1) & len2 > 1
            if strncmpi(varargin{ind+1},'off',len2)
                gui_MakeVisible = 0;
            elseif strncmpi(varargin{ind+1},'on',len2)
                gui_MakeVisible = 1;
            end
        end
    end
    
    % Check for figure param value pairs
    for index=1:2:length(varargin)
        if length(varargin) == index
            break;
        end
        try, set(gui_hFigure, varargin{index}, varargin{index+1}), catch, break, end
    end

    % If handle visibility is set to 'callback', turn it on until finished
    % with OpeningFcn
    gui_HandleVisibility = get(gui_hFigure,'HandleVisibility');
    if strcmp(gui_HandleVisibility, 'callback')
        set(gui_hFigure,'HandleVisibility', 'on');
    end
    
    feval(gui_State.gui_OpeningFcn, gui_hFigure, [], guidata(gui_hFigure), varargin{:});
    
    if ishandle(gui_hFigure)
        % Update handle visibility
        set(gui_hFigure,'HandleVisibility', gui_HandleVisibility);
        
        % Make figure visible
        if gui_MakeVisible
            set(gui_hFigure, 'Visible', 'on')
            if gui_Options.singleton 
                setappdata(gui_hFigure,'GUIOnScreen', 1);
            end
        end

        % Done with GUI initialization
        rmappdata(gui_hFigure,'InGUIInitialization');
    end
    
    % If handle visibility is set to 'callback', turn it on until finished with
    % OutputFcn
    if ishandle(gui_hFigure)
        gui_HandleVisibility = get(gui_hFigure,'HandleVisibility');
        if strcmp(gui_HandleVisibility, 'callback')
            set(gui_hFigure,'HandleVisibility', 'on');
        end
        gui_Handles = guidata(gui_hFigure);
    else
        gui_Handles = [];
    end
    
    if nargout
        [varargout{1:nargout}] = feval(gui_State.gui_OutputFcn, gui_hFigure, [], gui_Handles);
    else
        feval(gui_State.gui_OutputFcn, gui_hFigure, [], gui_Handles);
    end
    
    if ishandle(gui_hFigure)
        set(gui_hFigure,'HandleVisibility', gui_HandleVisibility);
    end
end    

function gui_hFigure = local_openfig(name, singleton)
if nargin('openfig') == 3 
    gui_hFigure = openfig(name, singleton, 'auto');
else
    % OPENFIG did not accept 3rd input argument until R13,
    % toggle default figure visible to prevent the figure
    % from showing up too soon.
    gui_OldDefaultVisible = get(0,'defaultFigureVisible');
    set(0,'defaultFigureVisible','off');
    gui_hFigure = openfig(name, singleton);
    set(0,'defaultFigureVisible',gui_OldDefaultVisible);
end

